### Method

# Gimp Procedure get_icon_type

#### Declaration [src]

    GimpIconType
    gimp_procedure_get_icon_type (
      GimpProcedure* procedure
    )

#### Description [src]

Gets the type of data set as `procedure`‘s icon. Depending on the result, you can call the relevant specific function, such as `gimp_procedure_get_icon_name()`.

Available since: | 3.0

#### Return value

Returns: | `GimpIconType`
| The `GimpIconType` of `procedure`‘s icon.